import { SMS, EMAIL, MOBILE_PUSH, WECHAT } from '../v2Containers/CreativesContainer/constants';
export default function getSchema(channel) {
  let schemaPath = '../containers/';
  switch (channel.toUpperCase()) {
    case SMS:
      schemaPath = import(`../v2Containers/Sms/initialSchema`);
      break;
    case EMAIL:
      schemaPath = import(`../v2Containers/Email/initialSchema`);
      break;
    case MOBILE_PUSH:
      schemaPath = import(`../v2Containers/MobilePush/initialSchema`);
      break;
    case WECHAT:
      schemaPath = import(`../v2Containers/WeChat/MapTemplates/initialSchema`);
      break;
    default:
      schemaPath = import(`../v2Containers/Sms/initialSchema`);
  }
  return schemaPath;
}
